﻿using Kivii.Contents.Seeyon.Entities;
using Kivii.Contents.Seeyon.Extensions;
using Kivii.Web;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Kivii.Contents.Seeyon.Transforms
{
    [RequiresAnyRole(SystemRoles.Everyone)]
    public class NewsTypeQuery : RestfulExecution<NewsType>
    {
        public override object OnExecution(IRequest req, IResponse res)
        {
            var client = new JsonServiceClient(Configs.BaseUrl);
            var session = Request.GetSession();
            var resp = client.GetNewsType(session);
            var rtns = new RestfulQueryResponse<NewsType>();
            rtns.Results = new List<NewsType>();
            rtns.Results.AddRange(resp);

            rtns.Total = rtns.Results.Count;
            return rtns;
        }
    }
}
